Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-19246

Configure Project loading overloay not hiding error "invalid gitTool selection Default"

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Fixed
    • Component/s: core
    • Labels:
      None
    • Environment:
      Debian Squeezy
    • Similar Issues:

      Description

      Hello,

      after upgrading to the newest GIT version and the latest Jenkins version i can't configure my projects anymore.

      When i go to a project and press the configure button the overlay is not hiding and i cannot change any values.

      The Log give me the following message:

      invalid gitTool selection Default
      Aug 19, 2013 10:33:17 AM WARNING hudson.plugins.git.GitTool$DescriptorImpl getInstallation

      Perhaps anybody can help me with this problem. I tried to change the GIT path only to "git" but nothing happen. The projects at the moment are up and running. But i cannot configure it.

        Attachments

          Issue Links

            Activity

            stony R. H. created issue -
            Hide
            gcummings Geoff Cummings added a comment -

            May be caused by upgrade to 1.528 and not GIT config

            Show
            gcummings Geoff Cummings added a comment - May be caused by upgrade to 1.528 and not GIT config
            gcummings Geoff Cummings made changes -
            Field Original Value New Value
            Link This issue is related to JENKINS-19248 [ JENKINS-19248 ]
            Hide
            stony R. H. added a comment - - edited

            Yes i have seen that. Its possible perhaps the GIT error is not problem only a notice. When i see the loading overlay and try to change something under the overlay. I got an error. So i think the content is not loaded.

            Everytime when i open the configuration i get the error i have written on top.

            Show
            stony R. H. added a comment - - edited Yes i have seen that. Its possible perhaps the GIT error is not problem only a notice. When i see the loading overlay and try to change something under the overlay. I got an error. So i think the content is not loaded. Everytime when i open the configuration i get the error i have written on top.
            Hide
            stony R. H. added a comment -

            I have downgraded my Version to 1.527 and there is no error. So you are right this problem is a problem with the newest version.

            Show
            stony R. H. added a comment - I have downgraded my Version to 1.527 and there is no error. So you are right this problem is a problem with the newest version.
            Hide
            savemaxim Maksim Selivanov added a comment -

            Confirmed also w/o GIT with 1.528. Just simply pressing configure button the overlay is not hiding and I cannot change any values. Please FIX!!!

            Show
            savemaxim Maksim Selivanov added a comment - Confirmed also w/o GIT with 1.528. Just simply pressing configure button the overlay is not hiding and I cannot change any values. Please FIX!!!
            markewaite Mark Waite made changes -
            Component/s core [ 15593 ]
            Component/s git [ 15543 ]
            Hide
            stony R. H. added a comment -

            I have tested version 1.589 and there is the problem still alive. Its a problem then i can't update jenkins until this error is fixed.

            Show
            stony R. H. added a comment - I have tested version 1.589 and there is the problem still alive. Its a problem then i can't update jenkins until this error is fixed.
            Hide
            daiglebagel Logan Daigle added a comment -

            this is an issue with 1.529 too, do we know when it will be fixed?

            Show
            daiglebagel Logan Daigle added a comment - this is an issue with 1.529 too, do we know when it will be fixed?
            Hide
            r_martins Ricardo Martins added a comment -

            Still has the issue on 1.544

            Show
            r_martins Ricardo Martins added a comment - Still has the issue on 1.544
            Hide
            mdiskin mdiskin added a comment -

            and on 1.553

            Show
            mdiskin mdiskin added a comment - and on 1.553
            Hide
            stony R. H. added a comment -

            The Problem is fixed in the Version 1.559.

            Show
            stony R. H. added a comment - The Problem is fixed in the Version 1.559.
            stony R. H. made changes -
            Resolution Fixed [ 1 ]
            Status Open [ 1 ] Closed [ 6 ]
            Hide
            jmoody Joshua Moody added a comment -

            I still see this problem in 1.559.

            MacOS 10.9.2
            git version 1.9.2

            Show
            jmoody Joshua Moody added a comment - I still see this problem in 1.559. MacOS 10.9.2 git version 1.9.2
            rtyler R. Tyler Croy made changes -
            Workflow JNJira [ 150694 ] JNJira + In-Review [ 206879 ]

              People

              Assignee:
              stony R. H.
              Reporter:
              stony R. H.
              Votes:
              5 Vote for this issue
              Watchers:
              9 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: